﻿@model OrderReviewViewModel

<div class="card">
    <div class="card-body">
        @if (Model != null && Model.Text.HasValue() && Model.VoteRate > 0)
        {
            <h5 class="card-title">نظر زیبایی بود.</h5>
            <p>
                <b>متن نظر شما:</b><br />
                @Model.Text
            </p>
            <p>
                <b>امتیاز داده شده توسط شما: </b>
                @Html.DropDownListFor(p => p.VoteRate, new List<SelectListItem>() {
                    new SelectListItem() { Text = "خیلی بد", Value = "1" },
                    new SelectListItem() {Text = "بد", Value = "2" },
                    new SelectListItem() {Text = "متوسط", Value = "3" },
                    new SelectListItem() {Text = "خوب", Value = "4" },
                    new SelectListItem() {Text = "عالی", Value = "5" },
                }, new { @class = "ShowRate" })
            </p>
        }
        else
        {
            <div id="reviewBox">
                <h5 class="card-title">نظر شما راجب نحوه انجام این سفارش؟</h5>
                <form method="post" id="reviewForm" action="@Url.Action("Send", "Review")">
                    <div class="form-group">
                        @Html.TextAreaFor(p => p.Text, new { @class = "form-control" })
                    </div>
                    <div class="form-group">
                        <label for="Rate">امتیاز دهی</label>
                        <select id="Rate" name="VoteRate">
                            <option value="1">خیلی بد</option>
                            <option value="2">بد</option>
                            <option value="3">متوسط</option>
                            <option value="4">خوب</option>
                            <option value="5" selected>عالی</option>
                        </select>
                    </div>
                    <a id="submitReviewBtn" href="#" onclick="submitReview(); return false;" class="btn btn-lead btn-lg btn-block">ثبت نظر</a>
                </form>
            </div>
        }
        <div id="reviewComplete" style="display:none;">
            <h5 class="card-title">
                ممنون بابت ثبت نظر.
            </h5>
            <p>نظر و رای شما با موفقیت ثبت گردید.</p>
        </div>
    </div>
</div>